# $Revision: 1.30 $, $Date: 2009/10/27 07:30:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	Trigger
Summary:	Class:Trigger - mixin to add / call inheritable triggers
Summary(pl.UTF-8):	Class:Trigger - dodawanie / wołanie dziedziczalnych triggerów
Name:		perl-Class-Trigger
Version:	0.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b0a95ebe359a3c4e768d81fc58031c83
URL:		http://search.cpan.org/dist/Class-Trigger/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Data-Inheritable
BuildRequires:	perl-IO-stringy
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Trigger is a mixin class to add / call triggers (or hooks) that
get called at some points you specify.

%description -l pl.UTF-8
Class::Trigger jest klasą służącą do dodawania i wywoływania triggerów
(lub hooków), które są wywoływane w podanych miejscach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Trigger.spec,v $
Revision 1.30  2009/10/27 07:30:40  amateja
- updated to 0.14

Revision 1.29  2009/06/16 13:27:24  amateja
- updated to 0.13

Revision 1.28  2007/12/26 22:14:38  qboosh
- fixed Source0 URL

Revision 1.27  2007-12-26 21:47:59  zbyniu
- up to 0.12

Revision 1.26  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:25  baggins
- converted to UTF-8

Revision 1.24  2006/07/26 19:21:29  glen
- 0.10, generic URL

Revision 1.23  2005/06/22 17:13:25  darekr
- added %doc

Revision 1.22  2005/06/22 17:06:29  czucz
- updated to 0.09

Revision 1.21  2004/11/03 22:30:10  paladine
- formatting

Revision 1.20  2004/06/05 19:54:54  radek
- typo

Revision 1.19  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.17  2004/04/22 20:42:10  ankry
- bconds added

Revision 1.16  2004/04/18 16:56:36  ankry
- license fixes and unification

Revision 1.15  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.10  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/13 00:01:49  ankry
- merge from RA-branch: updated to 0.08

Revision 1.8  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:14  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.5  2003/02/18 22:48:37  ankry
- autoupdated to 0.07

Revision 1.4  2003/02/18 15:28:11  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/08 17:59:26  radek
- version 0.06

Revision 1.2  2002/07/23 11:30:41  qboosh
- pl description

Revision 1.1  2002/07/22 21:29:52  radek
- new, STBR
